# dkim_sig_gethashes()

[back to index]

SYNOPSIS |
    #include <dkim.h>

    DKIM_STAT dkim_sig_gethashes(
    	DKIM_SIGINFO *sig,
    	void **hh,
    	size_t *hhlen,
    	void **bh,
    	size_t *bhlen
    );
Retrieve the hashes associated with a signature.
DESCRIPTION |
Called When | `dkim_sig_gethashes()` can be called after dkim_eom has completed.
ARGUMENTS |
Argument | Description
--- | ---
sig | Signature-specific handle.
hh | A void pointer that will be updated to point to the location in memory of the header hash (in binary form).
hhlen | A pointer to a `size_t` that will be updated to contain the number of bytes consumed by the header hash.
bh | A void pointer that will be updated to point to the location in memory of the body hash (in binary form).
bhlen | A pointer to a `size_t` that will be updated to contain the number of bytes consumed by the body hash.
RETURN VALUE | `DKIM_STAT_OK` -- successful completion `DKIM_STAT_INVALID` -- the function was called before `dkim_eom()` was called, meaning the hashes have not yet been finalized
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.